> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /ticketmaster/venues/events

> Get the event calendar for a Ticketmaster venue by id or venue page URL. Each item is an event with name, event page URL, start and on-sale dates, timezone, category, partner and availability flags, presale windows, the venue (name, address, city, state, country and coordinates), and the line-up of attractions. Optional filters: category segment, ticket type (standard tickets or VIP packages) and start/end date range.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/events-tickets.json post /api/ticketmaster/venues/events
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/ticketmaster/venues/events:
    post:
      tags:
        - /ticketmaster
      summary: /ticketmaster/venues/events
      description: >-
        Get the event calendar for a Ticketmaster venue by id or venue page URL.
        Each item is an event with name, event page URL, start and on-sale
        dates, timezone, category, partner and availability flags, presale
        windows, the venue (name, address, city, state, country and
        coordinates), and the line-up of attractions. Optional filters: category
        segment, ticket type (standard tickets or VIP packages) and start/end
        date range.


        **Price:** 1 credit
      operationId: __api_ticketmaster_venues_events_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TicketmasterVenuesEventsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TicketmasterEvent'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TicketmasterVenuesEventsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        venue:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        category:
          anyOf:
            - $ref: '#/components/schemas/TicketmasterSegment'
            - type: 'null'
        product_type:
          $ref: '#/components/schemas/TicketmasterProductType'
          default: tickets
        start_date:
          anyOf:
            - type: string
            - type: 'null'
        end_date:
          anyOf:
            - type: string
            - type: 'null'
        domain:
          $ref: '#/components/schemas/TicketmasterDomain'
          default: ticketmaster.com
      type: object
      required:
        - venue
        - count
    TicketmasterEvent:
      properties:
        '@type':
          type: string
          default: TicketmasterEvent
        id:
          type: string
        name:
          type: string
        discovery_id:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        start_at:
          anyOf:
            - type: string
            - type: 'null'
        end_at:
          anyOf:
            - type: string
            - type: 'null'
        onsale_at:
          anyOf:
            - type: string
            - type: 'null'
        date_display:
          anyOf:
            - type: string
            - type: 'null'
        span_multiple_days:
          anyOf:
            - type: boolean
            - type: 'null'
        timezone:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        is_partner:
          anyOf:
            - type: boolean
            - type: 'null'
        is_sold_out:
          anyOf:
            - type: boolean
            - type: 'null'
        is_cancelled:
          anyOf:
            - type: boolean
            - type: 'null'
        is_postponed:
          anyOf:
            - type: boolean
            - type: 'null'
        is_rescheduled:
          anyOf:
            - type: boolean
            - type: 'null'
        is_tba:
          anyOf:
            - type: boolean
            - type: 'null'
        is_virtual:
          anyOf:
            - type: boolean
            - type: 'null'
        is_local:
          anyOf:
            - type: boolean
            - type: 'null'
        has_limited_availability:
          anyOf:
            - type: boolean
            - type: 'null'
        ticketing_status:
          anyOf:
            - type: string
            - type: 'null'
        event_change_status:
          anyOf:
            - type: string
            - type: 'null'
        presales:
          items:
            $ref: '#/components/schemas/TicketmasterPresale'
          type: array
          default: []
        venue:
          anyOf:
            - $ref: '#/components/schemas/TicketmasterEventVenue'
            - type: 'null'
        artists:
          items:
            $ref: '#/components/schemas/TicketmasterEventArtist'
          type: array
          default: []
      type: object
      required:
        - id
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    TicketmasterSegment:
      type: string
      enum:
        - Music
        - Sports
        - Arts & Theatre
        - Film
        - Miscellaneous
    TicketmasterProductType:
      type: string
      enum:
        - tickets
        - vip
    TicketmasterDomain:
      type: string
      enum:
        - ticketmaster.com
        - ticketmaster.co.uk
        - ticketmaster.com.au
        - ticketmaster.co.nz
        - ticketmaster.ca
        - ticketmaster.com.mx
        - ticketmaster.com.br
        - ticketmaster.cl
        - ticketmaster.ie
        - ticketmaster.de
        - ticketmaster.at
        - ticketmaster.ch
        - ticketmaster.nl
        - ticketmaster.be
        - ticketmaster.fr
        - ticketmaster.es
        - ticketmaster.it
        - ticketmaster.pl
        - ticketmaster.cz
        - ticketmaster.dk
        - ticketmaster.no
        - ticketmaster.se
        - ticketmaster.fi
        - ticketmaster.ae
        - ticketmaster.co.za
        - ticketmaster.co.il
        - ticketmaster.sg
    TicketmasterPresale:
      properties:
        '@type':
          type: string
          default: TicketmasterPresale
        name:
          anyOf:
            - type: string
            - type: 'null'
        start_at:
          anyOf:
            - type: string
            - type: 'null'
        end_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    TicketmasterEventVenue:
      properties:
        '@type':
          type: string
          default: TicketmasterEventVenue
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    TicketmasterEventArtist:
      properties:
        '@type':
          type: string
          default: TicketmasterEventArtist
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````